Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # dynamic_io.hpp File Reference ## Detailed Description Generic io functions for dealing with dynamic images. `#include <boost/mpl/at.hpp>` `#include <boost/mpl/size.hpp>` `#include "../../gil_config.hpp"` `#include "../dynamic_image/any_image.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
## Functions
template<typename Images, typename Pred>
bool | boost::gil::construct_matched (any_image< Images > &im, Pred pred)
| Within the any_image, constructs an image with the given dimensions and a type that satisfies the given predicate.